# CoinBaseModel Class Reference

`#include <CoinModel.hpp>`

Inheritance diagram for CoinBaseModel:
[legend]
Collaboration diagram for CoinBaseModel:
[legend]

List of all members.

## Public Member Functions
Constructors, destructor
| CoinBaseModel ()
| Default Constructor.
| CoinBaseModel (const CoinBaseModel &rhs)
| Copy constructor.
CoinBaseModel & | operator= (const CoinBaseModel &rhs)
| Assignment operator.
virtual CoinBaseModel * | clone () const =0
| Clone.
virtual | ~CoinBaseModel ()
| Destructor.
For getting information
int | numberRows () const
| Return number of rows.
int | numberColumns () const
| Return number of columns.
virtual CoinBigIndex | numberElements () const =0
| Return number of elements.
double | objectiveOffset () const
| Returns the (constant) objective offset This is the RHS entry for the objective row.
void | setObjectiveOffset (double value)
| Set objective offset.
double | optimizationDirection () const
| Direction of optimization (1 - minimize, -1 - maximize, 0 - ignore.
void | setOptimizationDirection (double value)
| Set direction of optimization (1 - minimize, -1 - maximize, 0 - ignore.
int | logLevel () const
| Get print level 0 - off, 1 - errors, 2 - more.
void | setLogLevel (int value)
| Set print level 0 - off, 1 - errors, 2 - more.
const char * | getProblemName () const
| Return the problem name.
void | setProblemName (const char *name)
| Set problem name.
void | setProblemName (const std::string &name)
| Set problem name.
const std::string & | getRowBlock () const
| Return the row block name.
void | setRowBlock (const std::string &name)
| Set row block name.
const std::string & | getColumnBlock () const
| Return the column block name.
void | setColumnBlock (const std::string &name)
| Set column block name.
void | setMessageHandler (CoinMessageHandler *handler)
| Pass in message handler.
## Protected Attributes
Data members
int | numberRows_
| Current number of rows.
int | numberColumns_
| Current number of columns.
double | optimizationDirection_
| Direction of optimization (1 - minimize, -1 - maximize, 0 - ignore.
double | objectiveOffset_
| Objective offset to be passed on.
std::string | problemName_
| Problem name.
std::string | rowBlockName_
| Rowblock name.
std::string | columnBlockName_
| Columnblock name.
CoinMessageHandler * | handler_
| Message handler (Passed in).
CoinMessages | messages_
| Messages.
int | logLevel_
| Print level.

## Detailed Description

Definition at line 13 of file CoinModel.hpp.

## Constructor & Destructor Documentation

CoinBaseModel::CoinBaseModel | ( |  | ) |

Default Constructor.

CoinBaseModel::CoinBaseModel | ( | const CoinBaseModel & | rhs | ) |

Copy constructor.

virtual CoinBaseModel::~CoinBaseModel | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

CoinBaseModel& CoinBaseModel::operator= | ( | const CoinBaseModel & | rhs | ) |

Assignment operator.

Reimplemented in CoinModel, and CoinStructuredModel.

virtual CoinBaseModel* CoinBaseModel::clone | ( |  | ) | const`[pure virtual]`

Clone.

Implemented in CoinModel, and CoinStructuredModel.

int CoinBaseModel::numberRows | ( |  | ) | const`[inline]`

Return number of rows.

Definition at line 39 of file CoinModel.hpp.

int CoinBaseModel::numberColumns | ( |  | ) | const`[inline]`

Return number of columns.

Definition at line 42 of file CoinModel.hpp.

virtual CoinBigIndex CoinBaseModel::numberElements | ( |  | ) | const`[pure virtual]`

Return number of elements.

Implemented in CoinModel, and CoinStructuredModel.

double CoinBaseModel::objectiveOffset | ( |  | ) | const`[inline]`

Returns the (constant) objective offset This is the RHS entry for the objective row.

Definition at line 49 of file CoinModel.hpp.

void CoinBaseModel::setObjectiveOffset | ( | double | value | ) | `[inline]`

Set objective offset.

Definition at line 52 of file CoinModel.hpp.

double CoinBaseModel::optimizationDirection | ( |  | ) | const`[inline]`

Direction of optimization (1 - minimize, -1 - maximize, 0 - ignore.

Reimplemented in CoinModel, and CoinStructuredModel.

Definition at line 55 of file CoinModel.hpp.

void CoinBaseModel::setOptimizationDirection | ( | double | value | ) | `[inline]`

Set direction of optimization (1 - minimize, -1 - maximize, 0 - ignore.

Reimplemented in CoinModel, and CoinStructuredModel.

Definition at line 59 of file CoinModel.hpp.

int CoinBaseModel::logLevel | ( |  | ) | const`[inline]`

Get print level 0 - off, 1 - errors, 2 - more.

Definition at line 62 of file CoinModel.hpp.

void CoinBaseModel::setLogLevel | ( | int | value | ) |

Set print level 0 - off, 1 - errors, 2 - more.

const char* CoinBaseModel::getProblemName | ( |  | ) | const`[inline]`

Return the problem name.

Definition at line 67 of file CoinModel.hpp.

void CoinBaseModel::setProblemName | ( | const char * | name | ) |

Set problem name.

void CoinBaseModel::setProblemName | ( | const std::string & | name | ) |

Set problem name.

const std::string& CoinBaseModel::getRowBlock | ( |  | ) | const`[inline]`

Return the row block name.

Definition at line 74 of file CoinModel.hpp.

void CoinBaseModel::setRowBlock | ( | const std::string & | name | ) | `[inline]`

Set row block name.

Definition at line 77 of file CoinModel.hpp.

const std::string& CoinBaseModel::getColumnBlock | ( |  | ) | const`[inline]`

Return the column block name.

Definition at line 80 of file CoinModel.hpp.

void CoinBaseModel::setColumnBlock | ( | const std::string & | name | ) | `[inline]`

Set column block name.

Definition at line 83 of file CoinModel.hpp.

void CoinBaseModel::setMessageHandler | ( | CoinMessageHandler * | handler | ) |

Pass in message handler.

## Member Data Documentation

int CoinBaseModel::numberRows_`[protected]`

Current number of rows.

Definition at line 93 of file CoinModel.hpp.

int CoinBaseModel::numberColumns_`[protected]`

Current number of columns.

Definition at line 95 of file CoinModel.hpp.

double CoinBaseModel::optimizationDirection_`[protected]`

Direction of optimization (1 - minimize, -1 - maximize, 0 - ignore.

Definition at line 97 of file CoinModel.hpp.

double CoinBaseModel::objectiveOffset_`[protected]`

Objective offset to be passed on.

Definition at line 99 of file CoinModel.hpp.

std::string CoinBaseModel::problemName_`[protected]`

Problem name.

Definition at line 101 of file CoinModel.hpp.

std::string CoinBaseModel::rowBlockName_`[protected]`

Rowblock name.

Definition at line 103 of file CoinModel.hpp.

std::string CoinBaseModel::columnBlockName_`[protected]`

Columnblock name.

Definition at line 105 of file CoinModel.hpp.

CoinMessageHandler* CoinBaseModel::handler_`[protected]`

Message handler (Passed in).

Definition at line 107 of file CoinModel.hpp.

CoinMessages CoinBaseModel::messages_`[protected]`

Messages.

Definition at line 109 of file CoinModel.hpp.

int CoinBaseModel::logLevel_`[protected]`

Print level.

I could have gone for full message handling but this should normally be silent and lightweight. -1 - use passed in message handler 0 - no output 1 - on errors 2 - more detailed

Definition at line 119 of file CoinModel.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/CoinUtils-2.10.9/CoinUtils/src/CoinModel.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines